#ifndef UPDATER_H
#define UPDATER_H

#include <Thread.h>

using namespace Framework;

class ShopServer;

class Updater : public Thread
{
private:
    ShopServer *shs;
    bool beenden;

public:
    // Konstruktor
    Updater( ShopServer *ahServ );
    // Destruktor
    virtual ~Updater();
    // nicht constant
    void thread() override;
};

#endif